Subject: bug#50766: closed (Re: bug#50766: Regexp paren pairs in query-replace-regexp prompt should be highlighted)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Sep 2023 08:59:02 +0000

Your bug report

#50766: Regexp paren pairs in query-replace-regexp prompt should be highlighted

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50766: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50766
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50766: Regexp paren pairs in query-replace-regexp prompt should be highlighted
From: Eli Zaretskii <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 07 Sep 2023 11:57:51 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: ndame <[email-masked]>, [email-masked]
> Date: Wed, 6 Sep 2023 10:09:49 +0200
> From: martin rudalics <[email-masked]>
> 
> It did not apply to current master.  I now built master for the first
> time this year, rewrote the patch so it applies and added a short text
> to the Elisp manual.  I also enclose a NEWS and a ChangeLog entry.
> Please tell me if something is missing and install however you see fit.

Thanks, installed on master with a few minor docs changes, and closing
the bug.

Subject: Regexp paren pairs in query-replace-regexp prompt should be highlighted
From: ndame <[email-masked]>
To: "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]>
Date: Thu, 23 Sep 2021 16:59:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Emacs highlights parents by default, e.g. when point is after the closing
paren  the opening parent is highlighted.

If I type capturing parens in the query replace regexp prompt then the
paren pairs are not highlighted:

   Query replace regexp: \(something\)

They should be, so when typing a complex regexp with multiple capturing
parens then it's easier to see the pairs.